<%-- 
	Copyright (C) 2011 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
--%>
<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(pageContext, true);
final String ID = sc.getId();

ExtensionsControl ec = ExtensionsControl.get(null);
String serverIdText = ec.getSetting("net.sf.basedb.skincollection.server-id", "data-text");
%>
<base:page type="popup" title="Skin options">
<base:head scripts="~options.js" />
<base:body>
	<h1>Skin options</h1>
	<form name="options" action="submit.jsp?ID=<%=ID%>" method="POST">
	<input type="hidden" name="cmd" value="SaveOptions">
	
	<div class="content bottomborder">
		<table class="fullform input100">
		<tr>
			<th>Server ID</th>
			<td><input type="text" name="server-id-text" id="server-id-text" class="auto-init" data-auto-init="focus" 
				value="<%=HTML.encodeTags(serverIdText)%>"></td>
		</tr>
		<tr class="dynamic">
			<th></th>
			<td>
				<div class="messagecontainer note">
				Set the "Server ID" text in the above text field or leave it
				empty to automatically use the server name and first part of
				the URL. HTML is allowed so be careful!
				</div>
			</td>
		</tr>
		</table>
	</div>
	</form>

	<base:buttongroup subclass="dialogbuttons">
		<base:button id="btnSave" title="Save" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>

</base:body>
</base:page>

